# $Id: smeserver-centos2sme.spec,v 1.10 2017/02/06 17:01:42 unnilennium Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse 

Summary: smeserver-centos2sme
%define name smeserver-centos2sme
%define version 6.9.1
# version number CentosMajorVersion.SMEmajorVersion.RPMversion
%define release 1
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tgz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: smeserver-release >= 8.0
Requires: centos2sme >= 2.6-20
Requires: e-smith-formmagick >= 1.4.0-12

%description
Package to help transform a centos box into a Koozali SME Server.
Just run /usr/bin/centos2sme ; answer the few question and sit back  while your base install of centos is morphed into a SME Server. 
Do not use on a machine with user data present or with extra packages already installed.
%prep
%setup

%build
# /usr/bin/perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root,-)

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /etc/hosts.deny_ssh

%changelog
* Fri Mar 09 2018 Jean-Philipe Pialasse <tests@pialasse.com> 6.9.1-1.sme
- initial version [SME: 10533]

